# Search Property Availability

Search for available rooms across multiple properties.

Endpoint: GET /properties/availability
Version: 1.0.0

## Query parameters:

  - `checkin` (string, required)
    Check-in date. Type: String, format: (YYYY-MM-DD)

  - `checkout` (string, required)
    Check-out date. Type: String, format: (YYYY-MM-DD)

  - `property_id` (array, required)
    List of property IDs to check the availability for. Maximum 200 properties (IDs) per search. Type: List of integers, Example: [1011, 2402, 3813].

  - `occupancy` (array, required)
    List of occupancy strings (e.g., '2', '2-9,4') for each room. Occupancy strings format is numberOfAdults-firstChildAge,nextChildAge. Example 2-9,4 -> 2 adults, 1 child 9 yo, 1 child 4 yo.

## Header parameters:

  - `authorization` (string, required)
    Authorization header with HMAC signature. Format: API-Key={key},Signature={hmac_signature},Timestamp={unix_timestamp}

## Response 200 fields (application/json):

  - `properties` (array)
    Availability information for requested properties

  - `properties.property_id` (string, required)
    Property ID

  - `properties.status` (string, required)
    Overall availability status for the property

  - `properties.rooms` (array)
    Available room options

  - `properties.rooms.id` (string, required)
    Unique room option ID. To be used for Price Check.

  - `properties.rooms.number_of_rooms` (integer, required)
    Number of rooms returned based on requested occupancy. This is the number of rooms that will be booked when passing the above option ID to the booking request.

  - `properties.rooms.occupancy_of_rooms` (array, required)
    Occupancy of rooms returned based on requested occupancy. This is the occupancy of rooms that will be booked when passing the above option ID to the booking request.

  - `properties.rooms.occupancy_of_rooms.adults` (integer, required)
    Number of adults

  - `properties.rooms.occupancy_of_rooms.children` (array)
    List of children ages (0-17)

  - `properties.rooms.room_name` (string, required)
    Name of the room type

  - `properties.rooms.status` (string, required)
    Availability status

  - `properties.rooms.refundable` (boolean, required)
    Whether the rate is refundable

  - `properties.rooms.cancel_penalties` (any)
    Cancellation penalty information. Returned only if the room is refundable. This defines that latest available date and time to cancel the room free of charges. ISO 8601 format.

  - `properties.rooms.package` (boolean, required)
    Whether this is a package rate. Package rates must be sold together with a transport service (ex. flight, rental car, train, etc.)

  - `properties.rooms.corporate` (boolean, required)
    Whether this is a corporate rate. Corporate rates are special rates that include special conditions for corporate guests (ex. free breakfast, delayed cancellation deadline, etc)

  - `properties.rooms.bed_groups` (array)
    Bed configuration information

  - `properties.rooms.bed_groups.id` (string, required)
    Unique identifier for the bed group

  - `properties.rooms.bed_groups.description` (string, required)
    Description of the bed configuration

  - `properties.rooms.price` (object, required)
    Pricing information

  - `properties.rooms.price.without_tax` (string, required)
    Price without tax

  - `properties.rooms.price.taxes` (string, required)
    Tax amount

  - `properties.rooms.price.sales_taxes` (string, required)
    Sales tax amount

  - `properties.rooms.price.net` (string, required)
    Net price

  - `properties.rooms.price.currency` (string)
    Currency code

  - `properties.rooms.treatments` (array)
    Room treatments

  - `properties.rooms.treatments.id` (string, required)
    Treatment category ID

  - `properties.rooms.treatments.name` (string, required)
    Treatment name

  - `warnings` (array)
    List of properties not found IDs

## Response 401 fields (application/json):

  - `detail` (string, required)

## Response 403 fields (application/json):

  - `detail` (string, required)

## Response 422 fields (application/json):

  - `detail` (string, required)


